package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Atc;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface AtcMapper {

    int insert(Atc record);

    int insertSelective(Atc record);

    int updateByPrimaryKeySelective(Atc record);

    int updateByPrimaryKey(Atc record);

    int deleteByPrimaryKey(Atc record);

    int deleteByIds(Collection<Object> collection);

    Atc selectByPrimaryKey(Atc record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Atc> dyncRead(Map<String,Object> dyncMap);

    Atc getAtcByTrnAndTyp(@Param("trn") String trn, @Param("typ") String typ);

}